summaryrefslogtreecommitdiff
path: root/checks/detachm.test
diff options
context:
space:
mode:
Diffstat (limited to 'checks/detachm.test')
-rwxr-xr-xchecks/detachm.test9
1 files changed, 9 insertions, 0 deletions
diff --git a/checks/detachm.test b/checks/detachm.test
new file mode 100755
index 0000000..dc60bb2
--- /dev/null
+++ b/checks/detachm.test
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking detached signatures of multiple files
+i="$plain_files $data_files"
+echo "$usrpass1" | $GPG --passphrase-fd 0 -sb -o x --yes $i
+cat $i | $GPG -o /dev/null --yes x || error "$i: bad signature"
+